Tryton - Issues

 

Issue8360

Title Set subscription end date when closing it
Priority feature Status resolved
Superseder Additional subscriptions are created when end date is set at subscription level
View: 9171
Nosy List ced, pokoli, reviewbot, roundup-bot
Type feature request Components sale_subscription
Assigned To pokoli Keywords review
Reviews 269531002
View: 269531002

Created on 2019-05-17.21:10:10 by pokoli, last changed by roundup-bot.

Messages
New changeset 9cdb90a746c2 by Sergi Almacellas Abellana in branch 'default':
Use greatest line end date for closed subscription end_date
https://hg.tryton.org/tryton-env/rev/9cdb90a746c2
New changeset 4e004d00cd0f by Sergi Almacellas Abellana in branch 'default':
Use greatest line end date for closed subscription end_date
https://hg.tryton.org/modules/sale_subscription/rev/4e004d00cd0f
review269531002 updated at https://codereview.tryton.org/269531002/#ps297331002
review269531002 updated at https://codereview.tryton.org/269531002/#ps274361002
review269531002 updated at https://codereview.tryton.org/269531002/#ps268511002
review269531002 updated at https://codereview.tryton.org/269531002/#ps254691002
review269531002 updated at https://codereview.tryton.org/269531002/#ps258371002
msg49843 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-05-24.09:16:19
It seems I've uploaded two reviews of same patch, so I removed one of them.
msg49840 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-05-24.00:43:11
Why is there two reviews?
review269531002 updated at https://codereview.tryton.org/269531002/#ps271431002
New review271421002 at https://codereview.tryton.org/271421002/#ps263501003
msg49756 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-05-17.21:10:09
The subscrpition is closed when all the lines have have been totaly consumed. In this case the subscription has and empty end date. 

I think it makes sense to use the max end date for the lines as end date a subscription end date, as it's the date when the subscription has been finished.
History
Date User Action Args
2020-03-30 09:51:25roundup-botsetmessages: + msg56788
2020-03-30 09:51:21roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg56787
2020-03-23 09:24:27reviewbotsetmessages: + msg56596
2020-03-23 00:16:09cedsetsuperseder: + Additional subscriptions are created when end date is set at subscription level
2019-11-21 15:46:46reviewbotsetmessages: + msg53393
2019-11-20 23:43:44reviewbotsetmessages: + msg53366
2019-11-20 10:06:36reviewbotsetmessages: + msg53347
2019-11-08 01:36:52reviewbotsetmessages: + msg53086
2019-05-24 09:16:20pokolisetreviews: 269531002, 271421002 -> 269531002
messages: + msg49843
2019-05-24 00:43:12cedsetnosy: + ced
messages: + msg49840

Showing 10 items. Show all history (warning: this could be VERY long)